Index: trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4XPDGElastic.cc,v 1.3 2006/06/29 20:42:42 gunter Exp $ //
+// $Id: G4XPDGElastic.cc,v 1.3.2.1 2009/11/20 16:25:08 gunter Exp $ //
 // -------------------------------------------------------------------
 //      
@@ -74,21 +74,21 @@
 G4XPDGElastic::G4XPDGElastic() 
 {
-  G4String proton = G4Proton::ProtonDefinition()->GetParticleName();
-  G4String neutron = G4Neutron::NeutronDefinition()->GetParticleName();
-  G4String piPlus = G4PionPlus::PionPlusDefinition()->GetParticleName();
-  G4String piMinus = G4PionMinus::PionMinusDefinition()->GetParticleName();
-  G4String KPlus = G4KaonPlus::KaonPlusDefinition()->GetParticleName();
-  G4String KMinus = G4KaonMinus::KaonMinusDefinition()->GetParticleName();
-  G4String antiproton = G4AntiProton::AntiProtonDefinition()->GetParticleName();
-  
-  std::pair<G4String,G4String> pp(proton,proton);
-  std::pair<G4String,G4String> pn(proton,neutron);
-  std::pair<G4String,G4String> piPlusp(piPlus,proton);
-  std::pair<G4String,G4String> piMinusp(piMinus,proton);
-  std::pair<G4String,G4String> KPlusp(KPlus,proton);
-  std::pair<G4String,G4String> KMinusp(KMinus,proton);
-  std::pair<G4String,G4String> nn(neutron,neutron);
-  std::pair<G4String,G4String> ppbar(proton,antiproton);
-  std::pair<G4String,G4String> npbar(antiproton,neutron);
+  G4ParticleDefinition * proton = G4Proton::ProtonDefinition();
+  G4ParticleDefinition * neutron = G4Neutron::NeutronDefinition();
+  G4ParticleDefinition * piPlus = G4PionPlus::PionPlusDefinition();
+  G4ParticleDefinition * piMinus = G4PionMinus::PionMinusDefinition();
+  G4ParticleDefinition * KPlus = G4KaonPlus::KaonPlusDefinition();
+  G4ParticleDefinition * KMinus = G4KaonMinus::KaonMinusDefinition();
+  G4ParticleDefinition * antiproton = G4AntiProton::AntiProtonDefinition();
+  
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> pp(proton,proton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> pn(proton,neutron);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> piPlusp(piPlus,proton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> piMinusp(piMinus,proton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KPlusp(KPlus,proton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KMinusp(KMinus,proton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> nn(neutron,neutron);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> ppbar(proton,antiproton);
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> npbar(antiproton,neutron);
 
   std::vector<G4double> ppData;
@@ -159,6 +159,4 @@
   G4ParticleDefinition* def1 = trk1.GetDefinition();
   G4ParticleDefinition* def2 = trk2.GetDefinition();
-  G4String name1 = def1->GetParticleName();
-  G4String name2 = def2->GetParticleName();     
   
   G4double sqrtS = (trk1.Get4Momentum() + trk2.Get4Momentum()).mag();
@@ -182,7 +180,7 @@
       
       // Order the pair: first is the lower mass particle, second is the higher mass one
-      std::pair<G4String,G4String> trkPair(def1->GetParticleName(),def2->GetParticleName());
+      std::pair<G4ParticleDefinition *,G4ParticleDefinition *> trkPair(def1,def2);
       if (def1->GetPDGMass() > def2->GetPDGMass())
-	trkPair = std::pair<G4String,G4String>(def2->GetParticleName(),def1->GetParticleName());
+	trkPair = std::pair<G4ParticleDefinition *,G4ParticleDefinition *>(def2,def1);
       
       std::vector<G4double> data; 
@@ -204,5 +202,5 @@
 	  for (iter = xMap.begin(); iter != xMap.end(); ++iter)
 	    {
-	      std::pair<G4String,G4String> thePair = (*iter).first;
+	      std::pair<G4ParticleDefinition *,G4ParticleDefinition *> thePair = (*iter).first;
 	      if (thePair == trkPair)
 		{
@@ -245,5 +243,5 @@
     {
       G4cout << "WARNING! G4XPDGElastic::PDGElastic "      
-	     << name1 << "-" << name2
+	     << def1->GetParticleName() << "-" << def2->GetParticleName()
 	     << " elastic cross section: momentum " 
 	     << pLab << " GeV, negative cross section " 
Index: trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGTotal.cc
===================================================================
--- trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGTotal.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/im_r_matrix/src/G4XPDGTotal.cc	(revision 1228)
@@ -68,26 +68,26 @@
 G4XPDGTotal::G4XPDGTotal() 
 {
-  std::pair<G4String,G4String> pp(G4Proton::ProtonDefinition()->GetParticleName(),
-				    G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> pn(G4Proton::ProtonDefinition()->GetParticleName(),
-				    G4Neutron::NeutronDefinition()->GetParticleName());
-  std::pair<G4String,G4String> piPlusp(G4PionPlus::PionPlusDefinition()->GetParticleName(),
-					 G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> piMinusp(G4PionMinus::PionMinusDefinition()->GetParticleName(),
-					  G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> KPlusp(G4KaonPlus::KaonPlusDefinition()->GetParticleName(),
-					G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> KPlusn(G4KaonPlus::KaonPlusDefinition()->GetParticleName(),
-					G4Neutron::NeutronDefinition()->GetParticleName());
-  std::pair<G4String,G4String> KMinusp(G4KaonMinus::KaonMinusDefinition()->GetParticleName(),
-					 G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> KMinusn(G4KaonMinus::KaonMinusDefinition()->GetParticleName(),
-					 G4Neutron::NeutronDefinition()->GetParticleName());
-  std::pair<G4String,G4String> gp(G4Gamma::GammaDefinition()->GetParticleName(),
-				    G4Proton::ProtonDefinition()->GetParticleName());
-  std::pair<G4String,G4String> gg(G4Gamma::GammaDefinition()->GetParticleName(),
-				    G4Gamma::GammaDefinition()->GetParticleName());
-  std::pair<G4String,G4String> nn(G4Neutron::NeutronDefinition()->GetParticleName(),
-				    G4Neutron::NeutronDefinition()->GetParticleName());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> pp(G4Proton::ProtonDefinition(),
+				    G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> pn(G4Proton::ProtonDefinition(),
+				    G4Neutron::NeutronDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> piPlusp(G4PionPlus::PionPlusDefinition(),
+					 G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> piMinusp(G4PionMinus::PionMinusDefinition(),
+					  G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KPlusp(G4KaonPlus::KaonPlusDefinition(),
+					G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KPlusn(G4KaonPlus::KaonPlusDefinition(),
+					G4Neutron::NeutronDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KMinusp(G4KaonMinus::KaonMinusDefinition(),
+					 G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> KMinusn(G4KaonMinus::KaonMinusDefinition(),
+					 G4Neutron::NeutronDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> gp(G4Gamma::GammaDefinition(),
+				    G4Proton::ProtonDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> gg(G4Gamma::GammaDefinition(),
+				    G4Gamma::GammaDefinition());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> nn(G4Neutron::NeutronDefinition(),
+				    G4Neutron::NeutronDefinition());
  
   std::vector<G4double> nnData;
@@ -170,8 +170,8 @@
 
   // Order the pair: first is the lower mass particle, second is the higher mass one
-  std::pair<G4String,G4String> trkPair(def1->GetParticleName(),def2->GetParticleName());
+  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> trkPair(def1,def2);
 
   if (def1->GetPDGMass() > def2->GetPDGMass())
-    trkPair = std::pair<G4String,G4String>(def2->GetParticleName(),def1->GetParticleName());
+    trkPair = std::pair<G4ParticleDefinition *,G4ParticleDefinition *>(def2,def1);
  
   std::vector<G4double> data;   
@@ -183,5 +183,5 @@
       for (iter = xMap.begin(); iter != xMap.end(); ++iter)
 	{
-	  std::pair<G4String,G4String> thePair = (*iter).first;
+	  std::pair<G4ParticleDefinition *,G4ParticleDefinition *> thePair = (*iter).first;
 	  if (thePair == trkPair)
 	    {
Index: trunk/source/processes/hadronic/models/incl/History
===================================================================
--- trunk/source/processes/hadronic/models/incl/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/incl/History	(revision 1228)
@@ -4,5 +4,5 @@
      Geant4 - an Object-Oriented Toolkit for Physics Simulation
      ==========================================================
-$Id: History,v 1.19 2009/11/18 10:43:14 kaitanie Exp $
+$Id: History,v 1.26 2009/12/09 10:36:40 kaitanie Exp $
 ---------------------------------------------------------------------
 
@@ -16,4 +16,44 @@
    * Please list in reverse chronological order (last date on top)
    ---------------------------------------------------------------
+
+09 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-08)
+---------------------------------------------------------
+- Fix: Added a safeguard against division by zero in INCL nucleon
+  transmission probability calculation.
+
+08 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-07)
+---------------------------------------------------------
+- Fix: Added a safeguard against division by zero in INCL
+  initialization.
+
+08 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-06)
+---------------------------------------------------------
+- Fix: Added a safeguard to avoid (hopefully rare) negative energies
+  of INCL output particles. This would result in an attempt to take
+  square root of a negative number.
+
+04 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-05)
+---------------------------------------------------------
+- Fix: Corrected the G4InclAblaLightIonInterface error handling. In
+  case INCL is unable to produce a valid cascade it will return the
+  original projectile particle back to Geant4. Unfortunately in case
+  of the light ion interface it returned a particle with NULL pointer
+  to particle definition.
+- Added safeguards to both G4InclAblaCascadeInterface and
+  G4InclAblaLightIonInterface to prevent returning of particles with
+  NULL definition.
+
+03 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-04)
+---------------------------------------------------------
+- Fix: Added a safeguard against attempts to compute the logarithm of zero in
+  INCL
+
+02 December 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-03)
+---------------------------------------------------------
+- Fix: Corrected datatype problem in INCL initialization
+
+22 November 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-02)
+---------------------------------------------------------
+- Fix: Activated Geant4 random number generator instead of the built-in one.
 
 18 November 2009 - Pekka Kaitaniemi (hadr-incl-V09-02-01)
Index: trunk/source/processes/hadronic/models/incl/src/G4Incl.cc
===================================================================
--- trunk/source/processes/hadronic/models/incl/src/G4Incl.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/incl/src/G4Incl.cc	(revision 1228)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4Incl.cc,v 1.22 2009/11/18 10:43:14 kaitanie Exp $ 
+// $Id: G4Incl.cc,v 1.29 2009/12/09 10:36:40 kaitanie Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -49,6 +49,6 @@
   densFunction = 5;
 
-  //  randomGenerator = new G4InclGeant4Random();
-  randomGenerator = new G4Ranecu();
+  randomGenerator = new G4InclGeant4Random();
+  //randomGenerator = new G4Ranecu();
 }
 
@@ -94,6 +94,6 @@
   varntp = aVarntp;
 
-  //  randomGenerator = new G4InclGeant4Random();
-  randomGenerator = new G4Ranecu();
+  randomGenerator = new G4InclGeant4Random();
+  // randomGenerator = new G4Ranecu();
   light_gaus_nuc = new G4LightGausNuc();
   light_nuc = new G4LightNuc();
@@ -855,4 +855,5 @@
   if(nopart > -1) {
     for(G4int j = 0; j < nopart; j++) {
+      if(ep[j] < 0.0) continue; // Workaround to avoid negative energies (and taking std::sqrt of a negative number).
       varntp->itypcasc[j] = 1;
       // kind(): 1=proton, 2=neutron, 3=pi+, 4=pi0, 5=pi -      
@@ -1086,5 +1087,5 @@
 
   G4double xrand = 0.0;
-  G4double ialdep = 0.0;
+  G4long ialdep = 0;
   G4int imat = 0;
   G4int iamat = 0, izmat = 0;
@@ -1126,5 +1127,5 @@
     }
 
-    hazard->ial = int(ialdep);
+    hazard->ial = ialdep;
   }
 
@@ -1430,4 +1431,8 @@
 {
   for(G4int i=0; i < saxw->n-1; i++) {
+    if((saxw->x[i+1][k] - saxw->x[i][k]) == 0.0) { // Safeguard to avoid division by zero
+      saxw->s[i][k] = 0.0;
+      continue;
+    }
     saxw->s[i][k] = (saxw->y[i+1][k] - saxw->y[i][k]) / (saxw->x[i+1][k] - saxw->x[i][k]);
   }
@@ -6860,5 +6865,5 @@
     x = std::sqrt(E*(E - v0));
     barr = 4.0*x/(E + E - v0 + x + x);
-    if (iz > 0) {
+    if (iz > 0 && izn != 0) { // izn = 0 causes division by zero
       G4double b = izn*1.44/r;
       G4double px = std::sqrt((E - v0)/b);
@@ -7474,5 +7479,9 @@
       prob = clmb2(rho,eta,&dumm);                                       
     } else {
-      x = std::exp(std::log(eta)/6.0);
+      if(eta <= 1.0e-6) { // Safeguard against a floating point exception
+	x = 0.0;
+      } else {
+	x = std::exp(std::log(eta)/6.0);
+      }
       prob = std::sqrt(dp1 - y*x/(c0 + c1 * std::pow(x,3) + rho * x));
     } 
Index: trunk/source/processes/hadronic/models/incl/src/G4InclAblaCascadeInterface.cc
===================================================================
--- trunk/source/processes/hadronic/models/incl/src/G4InclAblaCascadeInterface.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/incl/src/G4InclAblaCascadeInterface.cc	(revision 1228)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaCascadeInterface.cc,v 1.12 2009/11/18 10:43:14 kaitanie Exp $ 
+// $Id: G4InclAblaCascadeInterface.cc,v 1.13 2009/12/04 13:16:57 kaitanie Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -229,22 +229,22 @@
       if(bulletType == proton) {
         aParticleDefinition = G4Proton::ProtonDefinition();
-      }
-      if(bulletType == neutron) {
+      } else if(bulletType == neutron) {
         aParticleDefinition = G4Neutron::NeutronDefinition();
-      }
-      if(bulletType == pionPlus) {
+      } else if(bulletType == pionPlus) {
         aParticleDefinition = G4PionPlus::PionPlusDefinition();
-      }
-      if(bulletType == pionZero) {
+      } else if(bulletType == pionZero) {
         aParticleDefinition = G4PionZero::PionZeroDefinition();
-      }
-      if(bulletType == pionMinus) {
+      } else if(bulletType == pionMinus) {
         aParticleDefinition = G4PionMinus::PionMinusDefinition();
-      }
-
-      cascadeParticle = new G4DynamicParticle();
-      cascadeParticle->SetDefinition(aParticleDefinition);
-      cascadeParticle->Set4Momentum(aTrack.Get4Momentum());
-      theResult.AddSecondary(cascadeParticle);
+      } else { // Projectile was not regognized
+	aParticleDefinition = 0;
+      }
+
+      if(aParticleDefinition != 0) {
+	cascadeParticle = new G4DynamicParticle();
+	cascadeParticle->SetDefinition(aParticleDefinition);
+	cascadeParticle->Set4Momentum(aTrack.Get4Momentum());
+	theResult.AddSecondary(cascadeParticle);
+      }
     }
 
Index: trunk/source/processes/hadronic/models/incl/src/G4InclAblaLightIonInterface.cc
===================================================================
--- trunk/source/processes/hadronic/models/incl/src/G4InclAblaLightIonInterface.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/incl/src/G4InclAblaLightIonInterface.cc	(revision 1228)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: G4InclAblaLightIonInterface.cc,v 1.10 2007/12/10 16:31:57 gunter Exp $ 
+// $Id: G4InclAblaLightIonInterface.cc,v 1.11 2009/12/04 13:16:57 kaitanie Exp $ 
 // Translation of INCL4.2/ABLA V3 
 // Pekka Kaitaniemi, HIP (translation)
@@ -207,22 +207,30 @@
       if(bulletType == proton) {
         aParticleDefinition = G4Proton::ProtonDefinition();
-      }
-      if(bulletType == neutron) {
+      } else if(bulletType == neutron) {
         aParticleDefinition = G4Neutron::NeutronDefinition();
-      }
-      if(bulletType == pionPlus) {
+      } else if(bulletType == pionPlus) {
         aParticleDefinition = G4PionPlus::PionPlusDefinition();
-      }
-      if(bulletType == pionZero) {
+      } else if(bulletType == pionZero) {
         aParticleDefinition = G4PionZero::PionZeroDefinition();
-      }
-      if(bulletType == pionMinus) {
+      } else if(bulletType == pionMinus) {
         aParticleDefinition = G4PionMinus::PionMinusDefinition();
-      }
-
-      cascadeParticle = new G4DynamicParticle();
-      cascadeParticle->SetDefinition(aParticleDefinition);
-      cascadeParticle->Set4Momentum(aTrack.Get4Momentum());
-      theResult.AddSecondary(cascadeParticle);
+      } else if(bulletType == deuteron) {
+        aParticleDefinition = G4Deuteron::DeuteronDefinition();
+      } else if(bulletType == triton) {
+        aParticleDefinition = G4Triton::TritonDefinition();
+      } else if(bulletType == he3) {
+        aParticleDefinition = G4He3::He3Definition();
+      } else if(bulletType == he4) {
+        aParticleDefinition = G4Alpha::AlphaDefinition();
+      } else { // Particle was not recognized. Probably an unsupported particle was given as input
+	aParticleDefinition = 0;
+      }
+
+      if(aParticleDefinition != 0) {
+	cascadeParticle = new G4DynamicParticle();
+	cascadeParticle->SetDefinition(aParticleDefinition);
+	cascadeParticle->Set4Momentum(aTrack.Get4Momentum());
+	theResult.AddSecondary(cascadeParticle);
+      }
     }
 
Index: trunk/source/processes/hadronic/models/leading_particle/include/G4Mars5GeV.hh
===================================================================
--- trunk/source/processes/hadronic/models/leading_particle/include/G4Mars5GeV.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/leading_particle/include/G4Mars5GeV.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Mars5GeV.hh,v 1.5 2006/06/29 20:43:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/hadronic/models/leading_particle/src/G4Mars5GeV.cc
===================================================================
--- trunk/source/processes/hadronic/models/leading_particle/src/G4Mars5GeV.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/leading_particle/src/G4Mars5GeV.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Mars5GeV.cc,v 1.14 2006/06/29 20:43:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/hadronic/models/lll_fission/include/G4FissLib.hh
===================================================================
--- trunk/source/processes/hadronic/models/lll_fission/include/G4FissLib.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/lll_fission/include/G4FissLib.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FissLib.hh,v 1.2 2007/06/01 13:46:53 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ********************************************************************
Index: trunk/source/processes/hadronic/models/lll_fission/include/G4FissionLibrary.hh
===================================================================
--- trunk/source/processes/hadronic/models/lll_fission/include/G4FissionLibrary.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/lll_fission/include/G4FissionLibrary.hh	(revision 1228)
@@ -54,5 +54,5 @@
 //
 // $Id: G4FissionLibrary.hh,v 1.4 2007/06/01 14:02:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LCapture.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LCapture.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LCapture.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LCapture.hh,v 1.11 2006/06/29 20:43:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAlphaInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAlphaInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAlphaInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAlphaInelastic.hh,v 1.10 2007/02/24 06:06:38 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy Alpha Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiKaonZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiKaonZeroInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiKaonZeroInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiKaonZeroInelastic.hh,v 1.7 2007/02/24 06:10:26 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonZeroL Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiLambdaInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiLambdaInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiLambdaInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiLambdaInelastic.hh,v 1.11 2007/02/24 06:11:24 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiLambda Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiNeutronInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiNeutronInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiNeutronInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiNeutronInelastic.hh,v 1.11 2007/02/24 06:13:02 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiNeutron Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiOmegaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiOmegaMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiOmegaMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiOmegaMinusInelastic.hh,v 1.11 2007/02/24 06:13:54 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiOmegaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiProtonInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiProtonInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiProtonInelastic.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LEAntiProtonInelastic.hh,v 1.11 2007/02/24 05:07:32 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiProton Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiSigmaMinusInelastic.hh,v 1.11 2007/02/24 06:38:14 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiSigmaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaPlusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiSigmaPlusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiSigmaPlusInelastic.hh,v 1.11 2007/02/24 06:39:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiSigmaPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiXiMinusInelastic.hh,v 1.11 2007/02/24 06:42:10 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiXiMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiZeroInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEAntiXiZeroInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiXiZeroInelastic.hh,v 1.11 2007/02/24 06:43:02 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy AntiXiZero Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEDeuteronInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEDeuteronInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEDeuteronInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEDeuteronInelastic.hh,v 1.10 2007/02/24 06:45:04 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy Deuteron Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonMinusInelastic.hh,v 1.11 2007/02/26 18:21:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonPlusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonPlusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonPlusInelastic.hh,v 1.11 2007/02/26 18:21:57 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonZeroInelastic.hh,v 1.7 2007/02/26 18:23:45 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonZeroS Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroLInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroLInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroLInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonZeroLInelastic.hh,v 1.12 2007/02/26 18:24:54 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroSInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroSInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEKaonZeroSInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonZeroSInelastic.hh,v 1.12 2007/02/26 18:25:37 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LELambdaInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LELambdaInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LELambdaInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LELambdaInelastic.hh,v 1.11 2007/02/26 18:27:08 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy Lambda Inelastic Process
